package com.ruoyi.shipping.excel;

import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 导出场站箱动态模板
 */
public class AirForceStationExcel {
    private static final long serialVersionUID = 1L;

    //箱动态
    @Excel(name = "箱动态")
    private String fOpctnstatus;
    //箱号
    @Excel(name = "箱号")
    private String fNo;
    //空重中文
    @Excel(name = "空重")
    private String updateEFName;
    //动态日期
    @Excel(name = "动态日期")
    private Date updateTime;
    //港口名称
    @Excel(name = "地点类型 如: 堆场,码头")
    private String portName;
    //堆放地点
    @Excel(name = "堆放地点")
    private String fUpdateaddress;
    //船名
    @Excel(name = "船名")
    private String fVsl;
    //航次
    @Excel(name = "航次")
    private String fVoy;
    //重量
    @Excel(name = "重量")
    private String fBoxWeight;
    //提单号
    @Excel(name = "提单号")
    private String fMblno;
    //铅封号
    @Excel(name = "铅封号")
    private String fSealno;
    //是否箱损
    @Excel(name = "是否箱损 如:好,坏")
    private String fCntrstatus;
    //箱损描述
    @Excel(name = "箱损描述(备注)")
    private String remark;

    public String getPortName() {
        return portName;
    }

    public void setPortName(String portName) {
        this.portName = portName;
    }

    public String getUpdateEFName() {
        return updateEFName;
    }

    public void setUpdateEFName(String updateEFName) {
        this.updateEFName = updateEFName;
    }

    public String getfOpctnstatus() {
        return fOpctnstatus;
    }

    public void setfOpctnstatus(String fOpctnstatus) {
        this.fOpctnstatus = fOpctnstatus;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getfVsl() {
        return fVsl;
    }

    public void setfVsl(String fVsl) {
        this.fVsl = fVsl;
    }

    public String getfVoy() {
        return fVoy;
    }

    public void setfVoy(String fVoy) {
        this.fVoy = fVoy;
    }

    public String getfBoxWeight() {
        return fBoxWeight;
    }

    public void setfBoxWeight(String fBoxWeight) {
        this.fBoxWeight = fBoxWeight;
    }

    public String getfUpdateaddress() {
        return fUpdateaddress;
    }

    public void setfUpdateaddress(String fUpdateaddress) {
        this.fUpdateaddress = fUpdateaddress;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfSealno() {
        return fSealno;
    }

    public void setfSealno(String fSealno) {
        this.fSealno = fSealno;
    }

    public String getfCntrstatus() {
        return fCntrstatus;
    }

    public void setfCntrstatus(String fCntrstatus) {
        this.fCntrstatus = fCntrstatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "AirForceStationExcel{" +
                "fOpctnstatus='" + fOpctnstatus + '\'' +
                ", fNo='" + fNo + '\'' +
                ", updateTime=" + updateTime +
                ", fVsl='" + fVsl + '\'' +
                ", fVoy='" + fVoy + '\'' +
                ", fBoxWeight='" + fBoxWeight + '\'' +
                ", fUpdateaddress='" + fUpdateaddress + '\'' +
                ", fMblno='" + fMblno + '\'' +
                ", fSealno='" + fSealno + '\'' +
                ", fCntrstatus='" + fCntrstatus + '\'' +
                ", remark='" + remark + '\'' +
                ", updateEFName='" + updateEFName + '\'' +
                ", portName='" + portName + '\'' +
                '}';
    }
}
